/* You can add global styles to this file, and also import other style files */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
}

a {
  text-decoration: none;
  color: inherit;
}

:root {
  --font-family: 'Roboto', 'sans-serif';
  --primary: #546de5;
  --secondary: #778beb;
  --accent: #e5546d;
  --lightgray: #ddd;
  --text-regular: #444;
}

body {
  font-family: var(--font-family);
  color: var(--text-regular);
}

// layout

.container {
  max-width: 1200px;
  display: block;
  margin: auto;
  padding: 20px;
}

.d-flex {
  display: flex;
}

.flex-row {
  flex-direction: row;
}

.flex-column {
  flex-direction: column;
}

.flex-jusitify-content-center {
  justify-content: center;
}

.flex-justify-content-between {
  justify-content: space-between;
}

.flex-align-items-center {
  align-items: center;
}

.flex-align-items-between {
  align-items: space-between;
}

.flex-fill {
  flex: 1 1 auto;
}

.flex-50 {
  flex: 1 1 50%;
}

//utils

.p-10 {
  padding: 10px;
}

.p-20 {
  padding: 20px;
}

.pr-10 {
  padding-right: 10px;
}

.pl-10 {
  padding-left: 10px;
}

.m-10 {
  margin: 10px;
}

.m-20 {
  margin: 20px;
}

.mb-20 {
  margin-bottom: 20px;
}

//theme

.list-primary {
  li {
    padding: 10px 15px;
    border: 1px solid var(--lightgray);
    border-top: 0;
    &:hover {
      background-color: var(--primary);
      color: white;
      cursor: pointer;
    }
    transition: all 0.4s;
  }
  li:first-child {
    border-top: 1px solid var(--lightgray);
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
  }
  li:last-child {
    border-bottom-left-radius: 3px;
    border-bottom-right-radius: 3px;
  }
}

.btn {
  padding: 10px 15px;
  background-color: white;
  border: 0;
  border-radius: 3px;
  font-weight: 700;
  &-primary {
    background-color: var(--primary);
    color: white;
    &:hover {
      background-color: var(--secondary);
      cursor: pointer;
    }
    transition: background-color 0.4s;
  }
}

//debug

.d1 {
  border: 1px solid red;
}

.d2 {
  border: 1px solid green;
}
